Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000202Core InformModel worldpublic2010-07-14 16:142010-10-28 00:30
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000202: Unset variable in WriteAfterEntry()
DescriptionIn the ListWriter i6 template, in the function WriteAfterEntry(), there is this line:

L__M(##ListMiscellany, 8);

but it should read

L__M(##ListMiscellany, 8, o);

much like the other L__M() calls nearby.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000286)
EmacsUser (manager)
2010-07-17 13:42
edited on: 2010-07-17 13:43

I can confirm the code inconsistency. Note that though ListMiscellany option 8 doesn't use its x1 parameter by default, code like the following will fail:

- - - -
There is a room.

Include Spanish by Sebastian Arg.

The player is wearing la camiseta que brilla en la oscuridad. The camiseta is lit.

Test me with "i".

(0000500)
graham (administrator)
2010-09-03 14:26

I concur, and have changed this. Thanks.

- Issue History
Date Modified Username Field Change
2010-07-14 16:14 Ron Newcomb New Issue
2010-07-14 21:30 jmcgrew Status new => acknowledged
2010-07-17 13:42 EmacsUser Note Added: 0000286
2010-07-17 13:42 EmacsUser Status acknowledged => confirmed
2010-07-17 13:43 EmacsUser Note Edited: 0000286 View Revisions
2010-09-03 14:26 graham Note Added: 0000500
2010-09-03 14:26 graham Status confirmed => resolved
2010-09-03 14:26 graham Resolution open => fixed
2010-09-03 14:26 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker